Run an async search
- POST /{index}/_async_search
- POST /_async_search
When the primary sort of the results is an indexed field, shards get sorted based on minimum and maximum value that they hold for that field. Partial results become available following the sort criteria that was requested.
Warning: Asynchronous search does not support scroll or search requests that include only the suggest section.
By default, Elasticsearch does not allow you to store an async search response larger than 10Mb and an attempt to do this results in an error.
The maximum allowed size for a stored async search response can be set by changing the search.max_async_search_response_size cluster level setting.
Path Parameters
-
indexIndexName | IndexNameoptional -
A comma-separated list of index names to search; use
_allor empty string to perform the operation on all indicesLeave it out to use
/_async_search.
Query Parameters
-
wait_for_completion_timeoutstring Duration · default: 1s Blocks and waits until the search is completed up to a certain timeout. When the async search completes within the timeout, the response won’t include the ID as the results are not stored in the cluster.
-
keep_alivestring Duration · default: 5d Specifies how long the async search needs to be available. Ongoing async searches and any saved search results are deleted after this period.
-
keep_on_completionboolean · default: false If
true, results are stored for later retrieval when the search completes within thewait_for_completion_timeout.-
allow_no_indicesboolean Whether to ignore if a wildcard indices expression resolves into no concrete indices. (This includes
_allstring or when no indices have been specified)-
allow_partial_search_resultsboolean · default: true Indicate if an error should be returned if there is a partial search failure or timeout
-
analyzerstring The analyzer to use for the query string
-
analyze_wildcardboolean · default: false Specify whether wildcard and prefix queries should be analyzed
-
batched_reduce_sizenumber · default: 5 Affects how often partial results become available, which happens whenever shard results are reduced. A partial reduction is performed every time the coordinating node has received a certain number of new shard responses (5 by default).
-
ccs_minimize_roundtripsboolean · default: false The default value is the only supported value.
-
default_operatorOperator · default: or The default operator for query string query (AND or OR)
-
Values:
andANDorOR -
dfstring The field to use as default where no field prefix is given in the query string
-
docvalue_fieldsFields A comma-separated list of fields to return as the docvalue representation of a field for each hit
-
expand_wildcardsstring ExpandWildcards · default: open Whether to expand wildcard expression to concrete indices that are open, closed or both
Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
explainboolean Specify whether to return detailed information about score computation as part of a hit
-
ignore_throttledboolean Whether specified concrete, expanded or aliased indices should be ignored when throttled
Whether specified concrete indices should be ignored when unavailable (missing or closed)
-
lenientboolean Specify whether format-based query failures (such as providing text to a numeric field) should be ignored
-
max_concurrent_shard_requestsnumber · default: 5 The number of concurrent shard requests per node this search executes concurrently. This value should be used to limit the impact of the search on the cluster in order to limit the number of concurrent shard requests
-
preferencestring · default: random Specify the node or shard the operation should be performed on
-
request_cacheboolean · default: true Specify if request cache should be used for this request or not, defaults to true
-
routingstring Routing A comma-separated list of specific routing values
-
search_typeSearchType Search operation type
Supported values include:
query_then_fetch: Documents are scored using local term and document frequencies for the shard. This is usually faster but less accurate.dfs_query_then_fetch: Documents are scored using global term and document frequencies across all shards. This is usually slower but more accurate.
-
Values:
query_then_fetchdfs_query_then_fetch -
statsstring Specific 'tag' of the request for logging and statistical purposes
-
stored_fieldsFields A comma-separated list of stored fields to return as part of a hit
-
suggest_fieldstring Field Specifies which field to use for suggestions.
-
suggest_modeSuggestMode · default: missing Specify suggest mode
Supported values include:
missing: Only generate suggestions for terms that are not in the shard.popular: Only suggest terms that occur in more docs on the shard than the original term.always: Suggest any matching suggestions based on terms in the suggest text.
-
Values:
missingpopularalways -
suggest_sizenumber How many suggestions to return in response
-
suggest_textstring The source text for which the suggestions should be returned.
-
terminate_afternumber The maximum number of documents to collect for each shard, upon reaching which the query execution will terminate early
-
timeoutstring Duration Explicit operation timeout
-
track_total_hitsboolean | number Indicate if the number of documents that match the query should be tracked. A number can also be specified, to accurately track the total hit count up to the number.
-
track_scoresboolean Whether to calculate and return scores even if they are not used for sorting
-
typed_keysboolean Specify whether aggregation and suggester names should be prefixed by their respective types in the response
-
rest_total_hits_as_intboolean · default: false Indicates whether hits.total should be rendered as an integer or an object in the rest search response
-
versionboolean Specify whether to return document version as part of a hit
-
_sourceSourceConfigParam True or false to return the _source field or not, or a list of fields to return
-
_source_excludesFields A list of fields to exclude from the returned _source field
-
_source_includesFields A list of fields to extract and return from the _source field
-
seq_no_primary_termboolean Specify whether to return sequence number and primary term of the last modification of each hit
-
qstring Query in the Lucene query string syntax
-
sizenumber · default: 10 Number of hits to return
-
fromnumber · default: 0 Starting offset
-
sortstring | string A comma-separated list of
Request
-
aggregationsmap string to AggregationContainer -
collapseFieldCollapse -
fieldstring Fieldrequired -
The field to collapse the result set on
-
inner_hitsoneOf -
The number of inner hits and their sort order
-
namestring Name -
The name for the particular inner hit definition in the response. Useful when a search request contains multiple inner hits.
-
sizenumber · default: 3 -
The maximum number of hits to return per
inner_hits. -
fromnumber · default: 0 -
Inner hit starting document offset.
-
collapseFieldCollapse -
docvalue_fieldsFieldAndFormat -
fieldstring Fieldrequired -
A wildcard pattern. The request returns values for field names matching this pattern.
-
formatstring -
The format in which the values are returned.
-
include_unmappedboolean -
explainboolean -
highlightHighlight -
typeHighlighterType -
Supported values include:
plain: Theplainhighlighter uses the standard Lucene highlighterfvh: The fvh highlighter uses the Lucene Fast Vector highlighter.unified: The unified highlighter uses the Lucene Unified Highlighter.
-
Values:
plainfvhunified -
boundary_charsstring · default: .,!? \t\n -
A string that contains each boundary character.
-
boundary_max_scannumber · default: 20 -
How far to scan for boundary characters.
-
boundary_scannerBoundaryScanner -
Specifies how to break the highlighted fragments: chars, sentence, or word. Only valid for the unified and fvh highlighters. Defaults to
sentencefor theunifiedhighlighter. Defaults tocharsfor thefvhhighlighter.Supported values include:
chars: Use the characters specified byboundary_charsas highlighting boundaries. Theboundary_max_scansetting controls how far to scan for boundary characters. Only valid for thefvhhighlighter.sentence: Break highlighted fragments at the next sentence boundary, as determined by Java’sBreakIterator. You can specify the locale to use withboundary_scanner_locale. When used with theunifiedhighlighter, thesentencescanner splits sentences bigger thanfragment_sizeat the first word boundary next to fragment_size. You can setfragment_sizeto0to never split any sentence.word: Break highlighted fragments at the next word boundary, as determined by Java’sBreakIterator. You can specify the locale to use withboundary_scanner_locale.
-
Values:
charssentenceword -
boundary_scanner_localestring · default: Locale.ROOT -
Controls which locale is used to search for sentence and word boundaries. This parameter takes a form of a language tag, for example:
"en-US","fr-FR","ja-JP". -
force_sourcebooleandeprecated -
fragmenterHighlighterFragmenter · default: span -
Specifies how text should be broken up in highlight snippets:
simpleorspan. Only valid for theplainhighlighter. -
Values:
simplespan -
fragment_sizenumber · default: 100 -
The size of the highlighted fragment in characters.
-
highlight_filterboolean -
highlight_queryQueryContainer -
Highlight matches for a query other than the search query. This is especially useful if you use a rescore query because those are not taken into account by highlighting by default.
-
max_fragment_lengthnumber -
max_analyzed_offsetnumber -
If set to a non-negative value, highlighting stops at this defined maximum limit. The rest of the text is not processed, thus not highlighted and no error is returned The
max_analyzed_offsetquery setting does not override theindex.highlight.max_analyzed_offsetsetting, which prevails when it’s set to lower value than the query setting. -
no_match_sizenumber · default: 0 -
The amount of text you want to return from the beginning of the field if there are no matching fragments to highlight.
-
number_of_fragmentsnumber · default: 5 -
The maximum number of fragments to return. If the number of fragments is set to
0, no fragments are returned. Instead, the entire field contents are highlighted and returned. This can be handy when you need to highlight short texts such as a title or address, but fragmentation is not required. Ifnumber_of_fragmentsis0,fragment_sizeis ignored. -
optionsmap string to object -
orderHighlighterOrder · default: none -
Sorts highlighted fragments by score when set to
score. By default, fragments will be output in the order they appear in the field (order:none). Setting this option toscorewill output the most relevant fragments first. Each highlighter applies its own logic to compute relevancy scores. -
Values:
score -
phrase_limitnumber · default: 256 -
Controls the number of matching phrases in a document that are considered. Prevents the
fvhhighlighter from analyzing too many phrases and consuming too much memory. When usingmatched_fields,phrase_limitphrases per matched field are considered. Raising the limit increases query time and consumes more memory. Only supported by thefvhhighlighter. -
Use in conjunction with
pre_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
Use in conjunction with
post_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
require_field_matchboolean · default: true -
By default, only fields that contains a query match are highlighted. Set to
falseto highlight all fields. -
Set to
styledto use the built-in tag schema. -
Values:
styled -
encoderHighlighterEncoder -
Values:
defaulthtml -
fieldsmap string to HighlightFieldrequired -
<string>HighlightField -
typeHighlighterType -
Supported values include:
plain: Theplainhighlighter uses the standard Lucene highlighterfvh: The fvh highlighter uses the Lucene Fast Vector highlighter.unified: The unified highlighter uses the Lucene Unified Highlighter.
-
Values:
plainfvhunified -
boundary_charsstring · default: .,!? \t\n -
A string that contains each boundary character.
-
boundary_max_scannumber · default: 20 -
How far to scan for boundary characters.
-
boundary_scannerBoundaryScanner -
Specifies how to break the highlighted fragments: chars, sentence, or word. Only valid for the unified and fvh highlighters. Defaults to
sentencefor theunifiedhighlighter. Defaults tocharsfor thefvhhighlighter.Supported values include:
chars: Use the characters specified byboundary_charsas highlighting boundaries. Theboundary_max_scansetting controls how far to scan for boundary characters. Only valid for thefvhhighlighter.sentence: Break highlighted fragments at the next sentence boundary, as determined by Java’sBreakIterator. You can specify the locale to use withboundary_scanner_locale. When used with theunifiedhighlighter, thesentencescanner splits sentences bigger thanfragment_sizeat the first word boundary next to fragment_size. You can setfragment_sizeto0to never split any sentence.word: Break highlighted fragments at the next word boundary, as determined by Java’sBreakIterator. You can specify the locale to use withboundary_scanner_locale.
-
Values:
charssentenceword -
boundary_scanner_localestring · default: Locale.ROOT -
Controls which locale is used to search for sentence and word boundaries. This parameter takes a form of a language tag, for example:
"en-US","fr-FR","ja-JP". -
force_sourcebooleandeprecated -
fragmenterHighlighterFragmenter · default: span -
Specifies how text should be broken up in highlight snippets:
simpleorspan. Only valid for theplainhighlighter. -
Values:
simplespan -
fragment_sizenumber · default: 100 -
The size of the highlighted fragment in characters.
-
highlight_filterboolean -
highlight_queryQueryContainer -
Highlight matches for a query other than the search query. This is especially useful if you use a rescore query because those are not taken into account by highlighting by default.
-
max_fragment_lengthnumber -
max_analyzed_offsetnumber -
If set to a non-negative value, highlighting stops at this defined maximum limit. The rest of the text is not processed, thus not highlighted and no error is returned The
max_analyzed_offsetquery setting does not override theindex.highlight.max_analyzed_offsetsetting, which prevails when it’s set to lower value than the query setting. -
no_match_sizenumber · default: 0 -
The amount of text you want to return from the beginning of the field if there are no matching fragments to highlight.
-
number_of_fragmentsnumber · default: 5 -
The maximum number of fragments to return. If the number of fragments is set to
0, no fragments are returned. Instead, the entire field contents are highlighted and returned. This can be handy when you need to highlight short texts such as a title or address, but fragmentation is not required. Ifnumber_of_fragmentsis0,fragment_sizeis ignored. -
optionsmap string to object -
orderHighlighterOrder · default: none -
Sorts highlighted fragments by score when set to
score. By default, fragments will be output in the order they appear in the field (order:none). Setting this option toscorewill output the most relevant fragments first. Each highlighter applies its own logic to compute relevancy scores. -
Values:
score -
phrase_limitnumber · default: 256 -
Controls the number of matching phrases in a document that are considered. Prevents the
fvhhighlighter from analyzing too many phrases and consuming too much memory. When usingmatched_fields,phrase_limitphrases per matched field are considered. Raising the limit increases query time and consumes more memory. Only supported by thefvhhighlighter. -
Use in conjunction with
pre_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
Use in conjunction with
post_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
require_field_matchboolean · default: true -
By default, only fields that contains a query match are highlighted. Set to
falseto highlight all fields. -
Set to
styledto use the built-in tag schema. -
Values:
styled -
fragment_offsetnumber -
matched_fieldsstring Fields -
ignore_unmappedboolean -
script_fieldsmap string to ScriptField -
<string>ScriptField -
scriptstring Scriptrequired -
ignore_failureboolean -
seq_no_primary_termboolean -
fieldsstring Field -
sortSort -
How the inner hits should be sorted per
inner_hits. By default, inner hits are sorted by score. -
_sourceSourceConfig -
stored_fieldsstring Fields -
track_scoresboolean · default: false -
versionboolean -
max_concurrent_group_searchesnumber -
The number of concurrent requests allowed to retrieve the inner_hits per group
-
collapseFieldCollapse -
explainboolean · default: false -
If true, returns detailed information about score computation as part of a hit.
-
extmap string to object -
Configuration of search extensions defined by Elasticsearch plugins.
-
fromnumber · default: 0 -
Starting document offset. By default, you cannot page through more than 10,000 hits using the from and size parameters. To page through more hits, use the search_after parameter.
-
highlightHighlight -
track_total_hitsboolean | number -
Number of hits matching the query to count accurately. If true, the exact number of hits is returned at the cost of some performance. If false, the response does not include the total number of hits matching the query. Defaults to 10,000 hits.
-
indices_booststring to number -
Boosts the _score of documents from specified indices.
-
docvalue_fieldsFieldAndFormat -
Array of wildcard (*) patterns. The request returns doc values for field names matching these patterns in the hits.fields property of the response.
-
fieldstring Fieldrequired -
A wildcard pattern. The request returns values for field names matching this pattern.
-
formatstring -
The format in which the values are returned.
-
include_unmappedboolean -
knnoneOf -
Defines the approximate kNN search to run.
-
fieldstring Fieldrequired -
The name of the vector field to search against
-
query_vectorQueryVector -
The query vector
-
query_vector_builderQueryVectorBuilder -
The query vector builder. You must provide a query_vector_builder or query_vector, but not both.
-
text_embeddingTextEmbedding -
model_idstring -
Model ID is required for all dense_vector fields but may be inferred for semantic_text fields
-
model_textstringrequired -
knumber -
The final number of nearest neighbors to return as top hits
-
num_candidatesnumber -
The number of nearest neighbor candidates to consider per shard
-
boostnumber -
Boost value to apply to kNN scores
-
filteroneOf -
Filters for the kNN search query
-
similaritynumber -
The minimum similarity for a vector to be considered a match
-
inner_hitsInnerHits -
If defined, each search hit will contain inner hits.
-
namestring Name -
The name for the particular inner hit definition in the response. Useful when a search request contains multiple inner hits.
-
sizenumber · default: 3 -
The maximum number of hits to return per
inner_hits. -
fromnumber · default: 0 -
Inner hit starting document offset.
-
collapseFieldCollapse -
fieldstring Fieldrequired -
The field to collapse the result set on
-
inner_hitsoneOf -
The number of inner hits and their sort order
-
max_concurrent_group_searchesnumber -
The number of concurrent requests allowed to retrieve the inner_hits per group
-
collapseFieldCollapse -
docvalue_fieldsFieldAndFormat -
fieldstring Fieldrequired -
A wildcard pattern. The request returns values for field names matching this pattern.
-
formatstring -
The format in which the values are returned.
-
include_unmappedboolean -
explainboolean -
highlightHighlight -
ignore_unmappedboolean -
script_fieldsmap string to ScriptField -
<string>ScriptField -
scriptstring Scriptrequired -
ignore_failureboolean -
seq_no_primary_termboolean -
fieldsstring Field -
sortSort -
How the inner hits should be sorted per
inner_hits. By default, inner hits are sorted by score. -
_sourceSourceConfig -
stored_fieldsstring Fields -
track_scoresboolean · default: false -
versionboolean -
rescore_vectorRescoreVector -
Apply oversampling and rescoring to quantized vectors *
-
oversamplenumberrequired -
Applies the specified oversample factor to k on the approximate kNN search
-
_namestring -
min_scorenumber -
Minimum _score for matching documents. Documents with a lower _score are not included in search results and results collected by aggregations.
-
profileboolean -
queryQueryContainer -
Defines the search definition using the Query DSL.
-
rescoreoneOf -
window_sizenumber -
queryRescoreQuery -
rescore_queryQueryContainerrequired -
The query to use for rescoring. This query is only run on the Top-K results returned by the
queryandpost_filterphases. -
query_weightnumber · default: 1 -
Relative importance of the original query versus the rescore query.
-
rescore_query_weightnumber · default: 1 -
Relative importance of the rescore query versus the original query.
-
score_modeScoreMode · default: total -
Determines how scores are combined.
Supported values include:
avg: Average the original score and the rescore query score.max: Take the max of original score and the rescore query score.min: Take the min of the original score and the rescore query score.multiply: Multiply the original score by the rescore query score. Useful forfunctionquery rescores.total: Add the original score and the rescore query score.
-
Values:
avgmaxminmultiplytotal -
learning_to_rankLearningToRank -
script_fieldsmap string to ScriptField -
Retrieve a script evaluation (based on different fields) for each hit.
-
<string>ScriptField -
scriptstring Scriptrequired -
ignore_failureboolean -
search_afterSortResults -
sizenumber · default: 10 -
The number of hits to return. By default, you cannot page through more than 10,000 hits using the from and size parameters. To page through more hits, use the search_after parameter.
-
sortSort -
_sourceSourceConfig -
Indicates which source fields are returned for matching documents. These fields are returned in the hits._source property of the search response.
-
fieldsFieldAndFormat -
Array of wildcard (*) patterns. The request returns values for field names matching these patterns in the hits.fields property of the response.
-
fieldstring Fieldrequired -
A wildcard pattern. The request returns values for field names matching this pattern.
-
formatstring -
The format in which the values are returned.
-
include_unmappedboolean -
suggestSuggester -
textstring -
Global suggest text, to avoid repetition when the same text is used in several suggesters
-
terminate_afternumber · default: 0 -
Maximum number of documents to collect for each shard. If a query reaches this limit, Elasticsearch terminates the query early. Elasticsearch collects documents before sorting. Defaults to 0, which does not terminate query execution early.
-
timeoutstring -
Specifies the period of time to wait for a response from each shard. If no response is received before the timeout expires, the request fails and returns an error. Defaults to no timeout.
-
track_scoresboolean · default: false -
If true, calculate and return document scores, even if the scores are not used for sorting.
-
versionboolean · default: false -
If true, returns document version as part of a hit.
-
seq_no_primary_termboolean -
If true, returns sequence number and primary term of the last modification of each hit. See Optimistic concurrency control.
-
stored_fieldsstring Fields -
List of stored fields to return as part of a hit. If no fields are specified, no stored fields are included in the response. If this field is specified, the _source parameter defaults to false. You can pass _source: true to return both source fields and stored fields in the search response.
-
pitPointInTimeReference -
Limits the search to a point in time (PIT). If you provide a PIT, you cannot specify an
-
idstring Idrequired -
keep_alivestring Duration -
runtime_mappingsRuntimeFields -
Defines one or more runtime fields in the search request. These fields take precedence over mapped fields with the same name.
-
statsstring -
Stats groups to associate with the search. Each group maintains a statistics aggregation for its associated searches. You can retrieve these stats using the indices stats API.
Response
-
idstring Id -
is_partialbooleanrequired -
When the query is no longer running, this property indicates whether the search failed or was successfully completed on all shards. While the query is running,
is_partialis always set totrue. -
is_runningbooleanrequired -
Indicates whether the search is still running or has completed.
info If the search failed after some shards returned their results or the node that is coordinating the async search dies, results may be partial even though
is_runningisfalse. -
expiration_timeDateTime -
Indicates when the async search will expire.
-
expiration_time_in_millisEpochTimeUnitMillisrequired -
start_timeDateTime -
start_time_in_millisEpochTimeUnitMillisrequired -
completion_timeDateTime -
Indicates when the async search completed. It is present only when the search has completed.
-
completion_time_in_millisEpochTimeUnitMillis -
errorErrorCause -
typestringrequired -
The type of error
-
reasonstringnullable -
A human-readable explanation of the error, in English.
-
stack_tracestring -
The server stack trace. Present only if the
error_trace=trueparameter was sent with the request. -
caused_byErrorCause -
root_causeErrorCause -
suppressedErrorCause -
responseAsyncSearchrequired -
aggregationsmap string to Aggregate -
Partial aggregations results, coming from the shards that have already completed running the query.
-
_clustersClusterStatistics -
skippednumberrequired -
successfulnumberrequired -
totalnumberrequired -
runningnumberrequired -
partialnumberrequired -
failednumberrequired -
detailsmap string to ClusterDetails -
<string>ClusterDetails -
statusClusterSearchStatusrequired -
Values:
runningsuccessfulpartialskippedfailed -
indicesstringrequired -
tookDurationValueUnitMillis -
timed_outbooleanrequired -
_shardsShardStatistics -
failednumber uintrequired -
The number of shards the operation or search attempted to run on but failed.
-
successfulnumber uintrequired -
The number of shards the operation or search succeeded on.
-
totalnumber uintrequired -
The number of shards the operation or search will run on overall.
-
failuresShardFailure -
indexstring IndexName -
nodestring -
reasonErrorCauserequired -
typestringrequired -
The type of error
-
reasonstringnullable -
A human-readable explanation of the error, in English.
-
stack_tracestring -
The server stack trace. Present only if the
error_trace=trueparameter was sent with the request. -
caused_byErrorCause -
root_causeErrorCause -
suppressedErrorCause -
shardnumber -
statusstring -
primaryboolean -
skippednumber uint -
failuresShardFailure -
fieldsmap string to object -
hitsHitsMetadatarequired -
totaloneOf -
Total hit count information, present only if
track_total_hitswasn'tfalsein the search request. -
hitsHitrequired -
_indexstring IndexNamerequired -
_idstring Id -
_scorenumber | stringnullable -
_explanationExplanation -
descriptionstringrequired -
detailsExplanationDetailrequired -
descriptionstringrequired -
detailsExplanationDetail -
valuenumberrequired -
valuenumberrequired -
fieldsmap string to object -
highlightmap string to string -
inner_hitsmap string to InnerHitsResult -
<string>InnerHitsResult -
hitsHitsMetadatarequired -
matched_queriesoneOf -
_ignoredstring -
ignored_field_valuesmap string to FieldValue -
_shardstring -
_nodestring -
_routingstring -
_sourceobject -
_ranknumber -
_seq_nonumber SequenceNumber -
_primary_termnumber -
_versionnumber VersionNumber -
sortSortResults -
max_scorenumber | stringnullable -
max_scorenumber -
num_reduce_phasesnumber -
Indicates how many reductions of the results have been performed. If this number increases compared to the last retrieved results for a get asynch search request, you can expect additional results included in the search response.
-
profileProfile -
shardsShardProfilerequired -
aggregationsAggregationProfilerequired -
breakdownAggregationBreakdownrequired -
build_aggregationnumberrequired -
build_aggregation_countnumberrequired -
build_leaf_collectornumberrequired -
build_leaf_collector_countnumberrequired -
collectnumberrequired -
collect_countnumberrequired -
initializenumberrequired -
initialize_countnumberrequired -
post_collectionnumber -
post_collection_countnumber -
reducenumberrequired -
reduce_countnumberrequired -
descriptionstringrequired -
time_in_nanosDurationValueUnitNanosrequired -
typestringrequired -
debugAggregationProfileDebug -
collection_strategystring -
total_bucketsnumber -
built_bucketsnumber -
result_strategystring -
has_filterboolean -
delegatestring -
delegate_debugAggregationProfileDebug -
chars_fetchednumber -
extract_countnumber -
extract_nsnumber -
values_fetchednumber -
collect_analyzed_nsnumber -
collect_analyzed_countnumber -
surviving_bucketsnumber -
ordinals_collectors_usednumber -
numeric_collectors_usednumber -
empty_collectors_usednumber -
deferred_aggregatorsstring -
segments_with_deleted_docsnumber -
filtersAggregationProfileDelegateDebugFilter -
results_from_metadatanumber -
querystring -
specialized_forstring -
segments_countednumber -
segments_collectednumber -
map_reducerstring -
brute_force_usednumber -
dynamic_pruning_attemptednumber -
dynamic_pruning_usednumber -
skipped_due_to_no_datanumber -
childrenAggregationProfile -
clusterstringrequired -
dfsDfsProfile -
statisticsDfsStatisticsProfile -
typestringrequired -
descriptionstringrequired -
timestring Duration -
time_in_nanosDurationValueUnitNanosrequired -
breakdownDfsStatisticsBreakdownrequired -
collection_statisticsnumberrequired -
collection_statistics_countnumberrequired -
create_weightnumberrequired -
create_weight_countnumberrequired -
rewritenumberrequired -
rewrite_countnumberrequired -
term_statisticsnumberrequired -
term_statistics_countnumberrequired -
debugmap string to object -
childrenDfsStatisticsProfile -
knnDfsKnnProfile -
vector_operations_countnumber -
queryKnnQueryProfileResultrequired -
typestringrequired -
descriptionstringrequired -
timestring Duration -
time_in_nanosDurationValueUnitNanosrequired -
breakdownKnnQueryProfileBreakdownrequired -
advancenumberrequired -
advance_countnumberrequired -
build_scorernumberrequired -
build_scorer_countnumberrequired -
compute_max_scorenumberrequired -
compute_max_score_countnumberrequired -
count_weightnumberrequired -
count_weight_countnumberrequired -
create_weightnumberrequired -
create_weight_countnumberrequired -
matchnumberrequired -
match_countnumberrequired -
next_docnumberrequired -
next_doc_countnumberrequired -
scorenumberrequired -
score_countnumberrequired -
set_min_competitive_scorenumberrequired -
set_min_competitive_score_countnumberrequired -
shallow_advancenumberrequired -
shallow_advance_countnumberrequired -
debugmap string to object -
childrenKnnQueryProfileResult -
rewrite_timenumberrequired -
fetchFetchProfile -
typestringrequired -
descriptionstringrequired -
time_in_nanosDurationValueUnitNanosrequired -
breakdownFetchProfileBreakdownrequired -
load_sourcenumber -
load_source_countnumber -
load_stored_fieldsnumber -
load_stored_fields_countnumber -
next_readernumber -
next_reader_countnumber -
process_countnumber -
processnumber -
debugFetchProfileDebug -
stored_fieldsstring -
fast_pathnumber -
childrenFetchProfile -
idstringrequired -
indexstring IndexNamerequired -
node_idstringrequired -
searchesSearchProfilerequired -
collectorCollectorrequired -
namestringrequired -
reasonstringrequired -
time_in_nanosDurationValueUnitNanosrequired -
childrenCollector -
queryQueryProfilerequired -
breakdownQueryBreakdownrequired -
advancenumberrequired -
advance_countnumberrequired -
build_scorernumberrequired -
build_scorer_countnumberrequired -
create_weightnumberrequired -
create_weight_countnumberrequired -
matchnumberrequired -
match_countnumberrequired -
shallow_advancenumberrequired -
shallow_advance_countnumberrequired -
next_docnumberrequired -
next_doc_countnumberrequired -
scorenumberrequired -
score_countnumberrequired -
compute_max_scorenumberrequired -
compute_max_score_countnumberrequired -
count_weightnumberrequired -
count_weight_countnumberrequired -
set_min_competitive_scorenumberrequired -
set_min_competitive_score_countnumberrequired -
descriptionstringrequired -
time_in_nanosDurationValueUnitNanosrequired -
typestringrequired -
childrenQueryProfile -
rewrite_timenumberrequired -
shard_idnumberrequired -
pit_idstring Id -
_scroll_idstring ScrollId -
_shardsShardStatisticsrequired -
Indicates how many shards have run the query. Note that in order for shard results to be included in the search response, they need to be reduced first.
-
suggestmap string to Suggest -
terminated_earlyboolean -
timed_outbooleanrequired -
tooknumberrequired